function [array] = D2_2(a,b,M,N,h)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is the Sinc matrix for 
% approximating the second derivative 
% of a  function on a finite interval 
% (a,b) based on twice differentiating 
% sum_{-M}^N f(z_k) S(k,h(phi)(x))
%
m = M+N+1;
z = Sincpoints2(a,b,M,N,h);
w = weights2(a,b,M,N,h);
for j = 1:m
    d = phi2_2(a,b,z(j));
    dh(j) = d/h;
    e2(j) = 1/w(j)^2;
end
A = diag(dh);
B = diag(e2);
%
array = A*Ip1(m) + B*Ip2(m);

