function [array] = D5_2(M,N,h)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is the Sinc matrix for 
% approximating the second derivative 
% of a function on (-infinity, infinity)
% by twice differentiating the sum 
% sum_{-M}^N f(z_k) S(k,h)(phi(x)),
% with phi(x) = log(x + (1+x^2)^{1/2}).
%
m = M+N+1;
z = Sincpoints5(M,N,h);
w = weights5(M,N,h);
for j = 1:m
    d = phi5_2(z(j));
    dh(j) = d/h;
    e2(j) = 1/w(j)^2;
end
A = diag(dh);
B = diag(e2);
%
array = A*Ip1(m) + B*Ip2(m);
