function [array] = D7_1(u,v,M,N,h)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is the Sinc matrix for 
% approximating the derivative of a 
% function defined on an arc of the 
% unit circle, which is approximated 
% via use of the function phi(x) 
% defined in Example 4.3.10 of this 
% handbook, by differentiating the sum
% sum_{-M}^N f(z_k) S(k,h)(phi(x))
%
m = M+N+1;
w = weights7(u,v,M,N,h);
B = inv(diag(w));
%
array = B*Ip1(m);
