function [array] = D7_2(u,v,M,N,h)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is the Sinc matrix for 
% approximating the second derivative 
% of a function defined on an arc of the 
% unit circle, which is approximated 
% via use of the function phi(x) 
% defined in Example 4.3.10 of this 
% handbook, by twice differentiating the 
% sum
% sum_{-M}^N f(z_k) S(k,h)(phi(x))
 
%
m = M+N+1;
z = Sincpoints7(u,v,M,N,h);
w = weights6(u,v,M,N,h);
for j = 1:m
    d = phi7_2(u,v,z(j));
    dh(j) = d/h;
    e2(j) = 1/w(j)^2;
end
A = diag(dh);
B = diag(e2);
%
array = A*Ip1(m) + B*Ip2(m);
