function [array] = Domega3_1(M,N,h)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This is the Sinc matrix for 
% approximating the derivative of a 
% function on (0,infty). 
% In essence, the j,k th element is 
% just (omega_k)'(z(j)), where the 
% omaga_k are defined in Def. 1.5.12.
%
m = M+N+1;
%
z2 = Sincpoints2(0,1,M,N,h);
w2 = weights2(0,1,M,N,h);
w = weights3(M,N,h);
B = D3_1(M,N,h);
%
% The whole matrix, except cols 1 & m
%
% Now, alter columns 1 & m
%
for j=1:m
    d1(j) = -w2(j)/w(j);
    dm(j) = w2(j)/w(j);
    for l=2:m 
        d1(j) = d1(j) - B(j,l)*w2(l)/z2(l)/h;
        dm(j) = dm(j) - B(j,l-1)*z2(l-1);
    end
end
%
B(:,1) = d1.';
B(:,m) = dm.';
%
array = B;
%

