%
% `Int1_m.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [array] = Int1_m(M,N,h)
% This is the Sinc matrix for 
% approximating the indefinite integral
% of a function defined on (-infty,infty)
% from  x to infty.  The  
% details are in Sec. 1.4.8 of the 
% tutorial.  In essence, this routine 
% gives  the matrix 
%  B = h (I^{-1})^T D(1/phi').  
% If F(x) = int_x^\infty f(t) dt, then,
% in terms of the opertor  V  defined in 
% Definition 1.4.12,  VF  = B Vf. 
%
m = M+N+1;
B = Im(m);
B = B.';
w = weights1(M,N,h);
for j=1:m
    for k=1:m
        A(j,k) = w(k)*B(j,k);
    end
end
array = A;
%
