%
% 'Int2_m.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [array] = Int2_m(a,b,M,N,h)
%
% This is the Sinc matrix for 
% approximating the indefinite integral
% of a function defined on (a,b)
% from x to b.  The details are in 
% Sec. 1.4.8 of the tutorial.  In 
% essence, this routine  gives  the 
% matrix % B = h (I^{-1})^T D(1/phi').  
% If F(x) = int_x^b f(t) dt, then,
% in terms of the opertor  V  defined in 
% Definition 4.3.12,  VF  = B Vf. 
%
m = M+N+1;
B = Im(m);
B = B.';
w = weights2(a,b,M,N,h);
W = diag(w);
A = B*W;
%
array = A;
%
