%
% 'Int2_p.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [array] = Int2_p(a,b,M,N,h)
%
% This is the Sinc matrix for 
% approximating the indefinite integral
% of a function defined on (a,b)
% from a to x.  The  
% details are in Sec. 1.4.8 of this 
% tutorial.  In essence, this routine 
% gives  the matrix 
% A = h (I^{-1})^T D(1/phi').  
% If F(x) = int_a^x f(t) dt, then,
% in terms of the opertor  V  defined in 
% Definition 1.4.12,  VF  = A Vf. 
%
m = M+N+1;
B = Im(m);
w = weights2(a,b,M,N,h);
W = diag(w);
A = B*W;
%
array = A;
%
