%
% 'Ip2.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [array] = Ip2(m)
%  
% This is the matrix I^{(2)} 
% See Problem 1.2.6 (i) or Eq. (1.3.15)
% and Sec. 1.4.5 of  the tutorial.
%
% Ip2(j,k) = S(j,1)''(k)
%   = -2(-1)^{j-k}/(j-k)^2 if j not eq k
% Ip1(j,j) = -pi^2/3
%
tt(1) = - pi^2/3;
T=2.0;
Q=2.0;
for j=2:m
    tt(j) = T;
    Q =  - Q;
    T = Q/j^2;
end
%
for k=1:m
    for j=1:k;
        TT = tt(k+1-j);
        Ip2(j,k) = TT;
        Ip2(k,j) = TT;
    end
end
%
array = Ip2;
