%
% 'Ip5.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [array] = Ip5(m)
% 
% This is the matrix I^{(5)}
% See Problem 1.2.6 (i) or Eq. (1.3.15)
% and Sec. 1.4.5 of  the tutorial. 
%
% Here, with J = j-k, 
% Ip5(j,k) = S(j,1)^{5}(k)
%   = (-1)^J/(j-k){pi^4 -20 pi^2/J^2 + 144/J^4} 
%          if j not eq k
% Ip5(j,j) = 0
%
tt(1) = 0;
Q=1;
for j=2:m
J = j-1;
    T = Q/J*(pi^4 - 20*pi^2/J^2 + 144/J^4);
    tt(j) = T;
    Q = -Q;
end
%
for k=1:m
    for j=1:k;
        TT = tt(k+1-j);
        Ip5(j,k) = TT;
        Ip5(k,j) = -TT;
    end
end
%
array = Ip5;
