function [z]=Sincpoints(N,h)
% Sincpoints(N,h) computes the 2N+1 vector of sinc points corresponding to
%   the interval [0,1], with spacing parameter h.
% R. Baker Kearfott, July, 2002
for k=-N:1:N;
    index = k+N+1;
    ekh = exp(k*h);
    z(index) = ekh / (1+ekh);
end
z=z';

   