%
% `Sincpoints2.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [z] = Sincpoints2(a,b,M,N,h)
%
% Here, the formula is 
%
%    z(j) = (a + b*e^{j*h})/(1 + e^{j*h})
%
% for j = -M, ..., N .  This program thus 
%
% thus computes a vector of m = M+N+1 
% 
% values.  See Example 4.3.5, this tutorial.
%
m = M+N+1;
T = exp(h);
TT = 1/T^M;
for j=1:m
    z(j) = (a + b*TT)/(1+TT);
    TT = T*TT;
end
%
