%
% `Sincpoints4.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [z] = Sincpoints4(M,N,h)
%
% Here, the formula is 
%
%    z(j) = log(e^{j*h} + sqrt{1+e^{2*j*h}})
%
% for j = -M, ..., N .  This program thus 
%
% thus computes a vector of m = M+N+1 
% 
% values.  See Example 4.3.7 of this tutorial.
%
m = M+N+1;
%
for j=1:m
    k = j - M - 1;
    z(j) = psi4(k*h);
end
%
    
