%
% `Sincpoints6.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [z] = Sincpoints6(M,N,h)
%
% Here, the formula is 
%
%  z(j) =  (zz - 1/zz)/2, where
%
%    zz = log(e^{j*h} + sqrt{1+e^{2*j*h}})
%       = psi4(j*h)   
%
% for j = -M, ..., N .  This program thus 
%
% thus computes a vector of m = M+N+1 
% 
% values.  See Example 4.3.9, this tutorial.
%
m = M+N+1;
%
for j = 1:m
    t = psi4((j-M-1)*h);
    z(j) = (t - 1/t)/2;
end
