%
% 'basis_poly2.m'
%
 function [val] = basis_poly2(a,b,x,M,N,h)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% This routine computes the vector of basis 
% functions b_j(x) for evaluating the Lagrange 
% polynomial 
%
% p(x) = sum_{j=1}^m b_j(x) f(z_j)
% 
% that interpolates f at m = M+N+1 Sinc points z_j 
%
m = M+N+1;
z = Sincpoints2(a,b,M,N,h);
%
for k = 1:m
    val(k) = 1;
    for j=[1:k-1 k+1:m] 
        val(k) = (x - z(j))/(z(k) - z(j))*val(k);
    end
end
