%
% `ex_1_4_quad.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% Quadrature algorithm based on 
% Algorithm 4.3.18, for 
% approximating an integral 
% over (0,infinity)
%
clear all
format long e
disp('  ')
Eps = input('Enter the accuracy, Eps:  ')
fprintf('Requested tolerance: Eps     = %.2e\n', Eps);
Esq = sqrt(Eps);
h = 2;
e = exp(h);
q = e;
%
% This routine is written for a function ff -- 
% see `ff.m'.
%
% The user should write a function routine, e.g.,
% create a file `user.m' in which he defines a 
% his/her function, e.g., `user(x)''.  See, for 
% example, the routine `fun_ex_1_3.m'.  He should 
% then proceed to modify the line ``y = ...' in 
% `ff.m', changing it to ``y = user(x)''. 
%  
T = ff(1);
r1 = 1;
while(r1 > Eps)
    p = 1/q;
    r = p*ff(p) + q*ff(q);
    T = T+r;
    q = e*q;
    r1 = abs(r);
end
%
T = h*T;
%
r3 = 1;
while(r3 > Esq)
    M = 0;
    sre = sqrt(e);
    q = sre;
    r2 = 1;
    points = 0;
    while(r2 > Eps)
        p = 1/q;
        r = p*ff(p) + q*ff(q);
        M = M+r;
        q = e*q;
        points = points+1;
        r2 = abs(r);
    end
    %
    M = h*M;
    rr3 = abs(T-M);
    T = (T+M)/2;
    e = sqrt(e);
    h = h/2;
    points = 2*points;
    r3 = rr3;
end
%
% Output
%
fprintf('# of evaluation points       = %d\n', points);
% fprintf('# of function evaluations    = %d\n', nff);
fprintf('Integral Value to Within Eps = %.16e\n', T);
