%
% `ex_1_77_hilb.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% Here we approximate some Hilbert transforms
%
%   f(x) = (1/pi) int_{-1}^1 (f(t)/(t-x)) dt
%
% f(t) = 1/sqrt(1-t^2) 
%
% f(t) = t/sqrt(1-t^2)  
%
% f(t) = sqrt(1-t^2)
%
% f(t) = t^3/sqrt(1-t^2)
%
clear all
M = 25;
N = 25; 
m = M+N+1;
h = 1*sqrt(1/N);
z = Sincpoints2(-1,1,M,N,h);
for j=1:m
t = z(j);
f1(j) = 1/sqrt(1 - t^2);
f2(j) = t/sqrt(1 - t^2);
f3(j) = sqrt(1 - t^2);
f4(j) = t^3;
end
f1 = f1';
f2 = f2';
f3 = f3';
f4 = f4';
A = Int2_p(-1,1,M,N,h);
B = Int2_m(-1,1,M,N,h);
H= Hilb_yam(A,B);
F1 = H*f1;
F2 = H*f2;
F3 = H*f3;
F4 = H*f4;
%
mm = M+N+1 - 14;
for j=1:mm
    y(j) = z(j+7);
    FF1(j) = F1(j+7);
    FF2(j) = F2(j+7);
    FF3(j) = F3(j+7);
    FF4(j) = F4(j+7);
end
plot(z,F1)
pause
plot(z,F2)
pause
plot(z,F3)
pause
plot(z,F4)
%
pause
plot(y,FF1);
pause
plot(y,FF2);
pause
plot(y,FF3);
pause
plot(y,FF4);
