%
% `lap_tr_helm3'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function G = lap_tr_helm3(u,v,w,k)
%
k2 = k^2;
u2 = 1/u^2;
v2 = 1/v^2;
w2 = 1/w^2;
%
L2 = u2 + v2 + w2;
%
mu1 = L2 - u2;
mu2 = L2 - v2;
mu3 = L2 - w2;
%
sq1 = sqrt(k2-mu1);
sq2 = sqrt(k2-mu2);
sq3 = sqrt(k2-mu3);
%
d1 = 1/(1/v + i/w);
d2 = 1/(1/w + i/u);
d3 = 1/(1/u + i/v);
%
z1p = d1*(-k + sq1);
z1m = d1*(-k - sq1);
z2p = d2*(-k + sq2);
z2m = d2*(-k - sq2);
z3p = d3*(-k + sq3);
z3m = d3*(-k - sq3);
%
F = 1/(4*pi*i);
%
H1 = F/u/sq1*(Qfunc(z1p) - Qfunc(z1m));
H2 = F/v/sq2*(Qfunc(z2p) - Qfunc(z2m));
H3 = F/w/sq3*(Qfunc(z3p) - Qfunc(z3m));
%
G = 1/(k2-L2)*(1/8 - H1 - H2 - H3);
