%
% `lap_tr_poi2'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function G = lap_tr_poi2(u,v)
%
% The program evaluates the Laplace 
% transform G in Eq. (2.4.15) of 
% Theorem 2.4.3.  This is the 
% "Laplace transform" of the 2-d 
% Green's function in (2.4.12).
% 
a0 = -pi/2.0*u*v;
a1 = 0.5772156649015328*(u^2 + v^2);
a2 = -u^2*log(u);
a3 = -v^2*log(v);
fac = u*v/(2*pi*(u^2+v^2));
G= fac*(a2+a3+a0+a1);
