%
% 
% `lap_trans_inv4.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
function [val] = lap_trans_inv4(M,N,h)
%
% We wish to determine the function f at
% the Sinc points of (0,infinity),
% corresponding to given the transformation
% #4 of Sec. 1.5.3, given the function g
% (in the program gg1.m) where
% g(s) = int_0^{infinity}  f(t) e^{-st} dt
%
M = 15;
N = 20;
m = M+N+1;
h = pi/sqrt(N);
%
% Sincpoints and indefinite
% integration matrix for the
% interval (0,infinity) based on the
% transformation #4 of Sec. 1.5.3
%
% 
% z = Sincpoints2(a,b,M,N,h);
% z = Sincpoints3(M,N,h);
z = Sincpoints4(M,N,h);
% A = Int2_p(a,b,M,N,h);
% A = Int3_p(M,N,h);
A = Int4_p(M,N,h);
[X S] = eig(A);
s = diag(S);
%
for j=1:m
    d(j) = gg1(1/s(j))/s(j);
end
%
D = diag(d);
%
vec = ones(m,1);
%
f_approx = real(X*D*inv(X)*vec);
%
% for j=1:m
%     t = z(j);
%     f_exact(j) = t^(-1/2)*sin(t);
% end
%
figure(1)
plot(z,f_approx,'.')
% 
pause
title('Lapace Transform Inversions')
xlabel('Sinc Points')
ylabel('Inversions')
%
pause
%
% Detailed plot over the interval 
% (z_{-M}, z_N)
step = (z(m) - z(1))/200;
for j=1:200
    t = z(1) + (j-1/2)*step;
    xx(j) = t;
%   v = basis2(a,b,t,M,N,h);   
%   v = basis3(t,M,N,h);    
    v = basis4(t,M,N,h);
    ffa(j) = v*f_approx;
%   ffe(j) = v*f_exact.';
end
%
figure(2)
plot(xx,ffa,'.')
pause
xlabel('x-Values')
ylabel('Inversions')
pause
%
% figure(3)
% plot(xx,ffe-ffa,'-')
% title('Sinc Interpolated Error')
% xlabel('x-Values')
% ylabel('Error')

