%
% `lemniscate.m'
%
% Determining q defined as in (4.1.33).
%
clear all
%;
N = 15;
m = 2*N+1;
h = .55/N^(1/2);
TT = 1/exp(N*h);
T = exp(h);
for j=1:m
    t(j) = 2*pi*TT/(1+TT);
    TT = TT*T;
end
% A = Int2_p(0,2*pi,N,N,h);
B = Int2_m(0,2*pi,N,N,h);
C = Hilb_yam2(0,2*pi,N,N,h);
%
for j=1:N+1
    s2(j) = sin(t(j)/2);
    r(j) = 2*s2(j)^2;
    x(j) = r(j)*cos(t(j));
    y(j) = r(j)*sin(t(j));
    z(j) = x(j)+i*y(j);
    Normzdot(j) = 2*s2(j);
    unitnormalx(j) = sin(3*t(j)/2);
    unitnormaly(j) = cos(3*t(j)/2); 
    u(j) = x(j)^3-3*x(j)*y(j)^2;
    ux(j) = 3*(x(j)^2-y(j)^2);
    uy(j) = 6*x(j)*y(j);
    gexact(j) = u(j); 
    p(j) = ux(j)*unitnormalx(j) ...
        + uy(j)*unitnormaly(j);
    p_integrand(j) = - Normzdot(j)*p(j);
end
%
for k=1:N
    j = m+1-k;
    s2(j) = s2(k);
    r(j) = r(k);
    x(j) = x(k);
    y(j) = -y(k);
    z(j) = x(j)+i*y(j);
    Normzdot(j) = 2*s2(j);
    unitnormalx(j) = unitnormalx(k);
    unitnormaly(j) = - unitnormaly(k);
    u(j) = u(k);
    ux(j) = ux(k);
    uy(j) = -uy(k);
    gexact(j) = gexact(k);
    p(j) = p(k);
    p_integrand(j) = p_integrand(k);
end
%
pp = p_integrand.';
% q =  A*pp;
q =  - B*pp;
%
for j=1:m
    for k=1:m
        if abs(j-k) > 0; 
            part1 = ...
            (t(k) - t(j))/(z(k) - z(j));
            part2 = ...
            2*s2(k)*(unitnormaly(j) ...
                   + i*unitnormalx(j));
            phi_theta_matrix(j,k) = (part1*part2);
         else;
            phi_theta_matrix(j,k) = 1;
        end;
    end;   
end;
%
Hilb_yam_matrix = C.*phi_theta_matrix;
% Hilb_yam_matrix = real(C.*phi_theta_matrix);
%
gr = Hilb_yam_matrix*q;
gimag = imag(gr.');
%
for j=1:m
    zz(j) = t(j);
    ggi(j) = gimag(j);
    gge(j) = gexact(j);
end
figure(1)
plot(zz,ggi,'-',zz,gge,'o');
print -dps2 Dir_bc_exact_appr.ps
pause
figure(2)
plot(zz,ggi-gge);
print -dps2 Dir_bc_exact_appr_err.ps

