%%%%%%%%%%%%%%%
% `map_arc.m'
%
% This program plots the complex form of a 
% sinc function on a circular arc, done for 
% Heleman Ferguson.
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
%%%%%%%%%%%%%%%
clear all
u =- pi/2;
v = pi/2;
h = 2;
h1 = 1/100*(v-u);
a = 5;
h2 = h1/(v-u)*a;
for j=1:100
    xx = u + (j-0.5)*h1;
   for k=1:100
       yy = -a/2 + (k-0.5)*h2;
z = xx + i*yy;
w = exp(i*z);
s = i*(v-u)/2 + log((w - exp(i*u))/(exp(i*v) - w));
s = pi*s/h;
x(j) = xx;
y(k) = yy;
W = sin(s)/s;
X(j,k) = real(W);
Y(j,k) = imag(W);
   end
end
surf(x,y,X);
%print -dps2 arc_sinc.ps
pause
surf(x,y,Y);
%print -dps2 arc_sinc.ps

