%
% "ode_ivp_nl1.m"
%
% Here we solve the following
%  problem:
%
% y' = f(x,y)
%
% with f(x,y) = "ode_f1(x,y)"
%             = 1+y^2.
%
% The problem is solved on (0,T),
% subject to y(0) = 0, via use
% of Sinc collocation via use
% of Sinc indefinite integration
% on (0,T), combined with Picard
% iteration.
%
% In the program, the
% ode_f1_exact(x) = tan(x), which is
% the exact solution.  Here, T=1,
% although the user is encouraged
% to use other values of T.
%
clear all
N = 10;
M = 10;
m = M+N+1;
h = 2.7/sqrt(N);
T = 0.6;
y0 = 0;
x = Sincpoints2(0,T,M,N,h);
A = Int2_p(0,T,M,N,h);
Er = 5;
for j=1:m
   v(j) = 0;
end
%
yy = v.';
% pause
while(Er > .00001)
     y = yy;
     for k=1:m
        W(k) = y0 + ode_f1(x(k),y(k));
     end
%
     Z = W.';
%
     yy = A*Z;
     Er = norm(y - yy);
end
%
for j=1:m
   ex(j)= ode_f1_exact(x(j));
end
%
TT = ex.';
plot(x,TT,'o',x,yy)
%
