%
% `phi6_2.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
% 
% returns a vector 
%
% (phi6)"(x) = u"/tanh(u) - (u'/sinh(u))^2
%
% where u = x + sqrt(1+x^2), and 
%
%  phi6(x) = log(sinh(u))
%
function y = phi6_2(x)
%
u = xplusroot(x);
v = 1+x^2;
r = sqrt(v);
c = cosh(u);
s = sinh(u);
y = c/s/r^3 - (u/r)^2/s^2;
