%
% `pois_R_2.m'
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% parameters
%
clear all
M1 = 15;
N1 = M1;
m1 = M1+N1+1;
h1 = 0.6/sqrt(N1);
M2 = M1;
N2 = M1;
m2 = m1;
h2 = 0.6/sqrt(N1);
%
% Sinc points
%
z1 = Sincpoints5(M1,N1,h1);
%
z2 = z1;
%
% Evaluate the function g, for solution
% u = 1/(1+x^2+y^2)^2
%
for j=1:m1
   for k=1:m2
      r2 = z1(j)^2+z2(k)^2;
      g(j,k) = (8-16*r2)/(1+r2)^4;
   end
end
%
clear r2
%
% Evaluate the exact solution, U_ex,
% at the Sinc points
for j=1:m1
    for k=1:m2
        U_ex(j,k) = 1/(1+z1(j)^2 + z2(k)^2)^2;
    end
end
%
% Indefinite integration matrices
%
AA = Int5_p(M1,N1,h1);
BB = Int5_m(M1,N1,h1);
%
% Eigenvalues
%
[X S] = eig(AA);
[Y T] = eig(BB);
% clear A
% clear B
s = diag(S);
%
% Evaluate the 2d Laplace transform
%
for j=1:m1
   for k=1:m2
         G(j,k) = lap_tr_poi2(s(j),s(k));
   end
end
%
%
% Now, solve the PDE Lap U = - g
%
U = zeros(m1,m2);
for n=1:4
   if n == 1 
     A=X; B=X; 
   elseif n == 2
     A=X; B=Y;
   elseif n == 3
     A=Y; B=X;
   else
     A=Y; B=Y;
   end
   U = U + conv2_vec(A,m1,B,m2,G,g);
end
%
UU = real(U);
clear U
surf(z1,z2,UU);
pause
print -dps2 pois_R_2.ps
W = UU(:,N1+1);
plot(z1,W)
print -dps2 ex_sec_pois_R_2.ps
pause
surf(z1,z2,U_ex)
pause
surf(z1,z2,UU-U_ex)


