%
% `quad1_FF'
%
% This program is the property of SINC, LLC
%
function T = quad1_FF(Ep)
%
% Quadrature algorithm based on 
% Algorithm 1.5.18, for 
% approximating the integral 
% 
% Q = int_0^infinty FF(x) dx
%
% to within an error of Ep
%
SEp = sqrt(Ep);
h = 2;
e = exp(h);
q = e;
%
% This routine is written for a user 
% defined function FF(x) 
%
T = FF(1);
r1 = 1;
while(r1 > Ep)
    p = 1/q;
    r = p*FF(p) + q*FF(q);
    T = T+r;
    q = e*q;
    r1 = abs(r);
end
%
T = h*T;
%
r3 = 1;
while(r3 > SEp)
    M = 0;
    sre = sqrt(e);
    q = sre;
    r2 = 1;
    points = 0;
    while(r2 > Ep)
        p = 1/q;
        r = p*FF(p) + q*FF(q);
        M = M+r;
        q = e*q;
        points = points+1;
        r2 = abs(r);
    end
    %
    M = h*M;
    rr3 = abs(T-M);
    T = (T+M)/2;
    e = sqrt(e);
    h = h/2;
    points = 2*points;
    r3 = rr3;
end
