%
% `wavelet_even_int_Int_p.m'
%
function [A] = wavelet_even_int_Int_p(a,b,N)
%
% This program is copyrighted by SINC, LLC
% and belongs to SINC, LLC
%
% Wavelet_even_int_Int_p.m computes the 
% matrix A = [A_{jk}] of order Mp1 = 2N+1, where,
% with P = b - a, and x_k = a + (k-1)P/(2N), 
% k=1, ..., 2N+1, we have, for k = 1 and k = Mp1,
% A_{jk} = 1/2(E_e(N,P,x_j-x_k) - E_e(N,P,a - x_k)),
% while for k in [2,2N], 
% A_{jk} = E_e(N,P,x_j-x_k) - E_e(N,P,a - x_k).
% See (1.4.97).
%
P = b - a;
M = 2*N;
Mp1 = M+1;
h = P/M;
d = ones(Mp1,1);
d(1) = 0.5;
d(Mp1) = 0.5;
D = diag(d);
%
for k=1:Mp1
    x(k) = a + (k-1)*h;
end
%
for k=1:Mp1;
    bb = waveletint_e(N,P,a-x(k));
    for j=1:Mp1;
        A(j,k) = waveletint_e(N,P,x(j)-x(k)) - bb;
    end
end
%
A = A*D;
