%
% 'weights4.m'
%
% This program is copyrighted by SINC, LLC
% an belongs to SINC, LLC
%
function [w] = weights4(M,N,h)
%
% Here, the formula is 
%
%    w(j) = h*e^{j*h}/sqrt{1+e^{2*j*h}}
%
% for j = -M, ..., N .  This program thus 
%
% thus computes a vector of m = M+N+1 
% 
% values.  See Example 4.3.7 of this tutorial.
%
m = M+N+1;
T = exp(h);
TT = T^M;
for j=1:m
    w(j) = h/sqrt(1+TT*TT);
    TT = TT/T;
end  
%
